## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
# Deactivate tests because they need a sound card
# https://github.com/diwic/alsa-rs/issues/71
%bcond_with check
%global debug_package %{nil}

%global crate alsa

Name:           rust-%{crate}
Version:        0.6.0
Release:        %autorelease
Summary:        Thin but safe wrappers for ALSA (Linux sound API)

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/alsa
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Thin but safe wrappers for ALSA (Linux sound API).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 28 2022 Rémi Lauzier <remilauzier@protonmail.com> 0.6.0-4
- Update for rust2rpm 20 and remove nix downgrade

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.6.0-2
- Downgrade nix to version 0.22

* Wed Nov 03 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2018041

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.5.0-1
- Initial package

